> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/partner.md).

# Partner

Overview Use the **Partner** object to search and retrieve partner information.

## Parameters

<table><thead><tr><th width="213.400146484375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>PartnerCode</code></td><td><p><strong>String</strong></p><p>Unique identifier that you need to specify when creating a partner in the Control Panel. You can find it under the <strong>General Information</strong> area when editing partner details.</p></td></tr><tr><td><code>CompanyName</code></td><td><strong>String</strong><br>The name of your partner company.</td></tr><tr><td><code>Email</code></td><td><strong>String</strong><br>The partner email address specified in the <strong>Contact</strong> <strong>Information</strong> area.</td></tr><tr><td><code>CommunicationLanguage</code></td><td><strong>String</strong><br>ISO 639-1 two-letter language code set for the communication language under <strong>Contact information</strong>. Case sensitive: <strong>'en'</strong> instead of <strong>'EN'</strong>. Possible values: - en - fr - de</td></tr><tr><td><code>Currency</code></td><td><strong>String</strong><br>The ISO code of the currency set for the partner - ISO 4217. This currency governs transactions between you and the partner. You can configure it in the <strong>Commercial settings</strong> section, under <strong>Payment information</strong>.</td></tr><tr><td><code>CreditLimit</code></td><td><strong>Double</strong><br>The credit limit set for the partner. Can be NULL when no credit is offered.</td></tr><tr><td><code>AvailableCreditLimit</code></td><td><strong>Double</strong><br>The credit still available to the partner, after the value of orders already placed but not paid was deducted from the total credit limit configured. Can be NULL when no credit limit is defined.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/partner.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
